<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#moduleVersionTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: false,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/managementcenter/moduleacquisition/dataVersion",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   save(row.version)
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        radio: true
		       
		    }
			,{
		        field: 'versionName',
		        title: '版本名称',
            }

                   ,{
                       field: 'versionAlias',
                       title: '版本备注',
                   }

		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#moduleVersionTable').bootstrapTable("toggleView");
		}
	  
	  $('#moduleVersionTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#moduleVersionTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#moduleVersionTable').bootstrapTable('getSelections').length!=1);
        });

	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#moduleVersionTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#moduleVersionTable').bootstrapTable('refresh');
		});

		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});

	});

  function getIdSelections() {
        return $.map($("#moduleVersionTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
	function getVersionName() {
		return $("#versionName").val();
    }
	function getVersionAlias() {
		return $("#versionAlias").val();
	}
  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();
			jp.get("${ctx}/managementcenter/moduleacquisition/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#moduleVersionTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})

		})
  }

    //刷新列表
  function refresh(){
  	$('#moduleVersionTable').bootstrapTable('refresh');
  }

	function moduleList(id){//没有权限时，不显示确定按钮
		if(id == undefined){
			id = getIdSelections();
		}
		jp.openViewDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/list?blockId="+id, '800px', '500px');
	}

	 function view(id){//没有权限时，不显示确定按钮
		  if(id == undefined){
				 id = getIdSelections();
		  }
			jp.openViewDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/list", '800px', '500px');
	 }
	function edit(id){//没有权限时，不显示确定按钮
		if(id == undefined){
			id = getIdSelections();
		}
		jp.openSaveDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/form1?id="+id, '800px', '500px');
	}


</script>